CODONW(1)

NAME
codonw - Correspondence Analysis of Codon Usage

SYNOPSIS
codonw [inputfile] [outputfile] [bulkoutfile] [options]

DESCRIPTION
CodonW is a package for codon usage analysis. It was designed to simplify Multivariate Analysis (MVA) of codon usage. The MVA method employed in CodonW is correspondence analysis (COA) (the most popular MVA method for codon usage analysis). CodonW can generate a COA for codon usage, relative synonymous codon usage or amino acid usage. Additional analyses of codon usage include investigation of optimal codons, codon and dinucleotide bias, and/or base composition.

OPTIONS

-h  Show help message

-nomenu
    Prevent the menu interface being displayed

-nowarn
    Prevent warnings about sequences being displayed

-silent
    Overwrite files silently

-totals
    Concatenate all genes in inputfile

-machine
    Machine readable output

-human
    Human readable output

-code N
    Genetic code as defined under menu 3 option 5

-f_type N
    Fop/CBI codons as defined by menu 3 option 6

-c_type N
    Cai fitness values as defined by menu 3 option 7

-t (char)
    Column separator to be used in output files (comma,tab,space)

Codon usage indices and Amino acid indices

-cai
    calculate Codon Adaptation Index (CAI)

-fop
    calculate Frequency of OPtimal codons index (FOP)

-cbi
    calculate Codon Bias Index (CBI)

-enc
    Effective Number of Codons (ENc)

-gc G+C content of gene (all 3 codon positions)

-gcs3
    GC of synonymous codons 3rd positions

-sil_base
    Base composition at synonymous third codon positions

-L_sym
    Number of synonymous codons

-L_aa
    Total number of synonymous and non-synonymous codons

-all_indices
    All the above indices

-aro
    Calculate aromaticity of protein

-hyd
    Calculate hydropathicity of protein

-cai_file
    {file} User input file of CAI values

-cbi_file
    {file} User input file of CBI values

-fop_file
    {file} User input file of Fop values

Correspondence analysis (COA) options

-coa_cu
    COA of codon usage frequencies

-coa_rscu
    COA of Relative Synonymous Codon Usage

-coa_aa
    COA of amino acid usage frequencies

-coa_expert
    Generate detailed(expert) statistics on COA

-coa_axes N
    Select number of axis to record

-coa_num N
    Select number of genes to use to identify optimal codons values can be whole numbers or a percentage (5 or 10%)

Bulk output options | only one can be selected per analysis

-aau
    Amino Acid Usage (AAU)

-raau
    Relative Amino Acid Usage (RAAU)

-cu Codon Usage (CU) (default)

-cutab
    Tabulation of codon usage

-cutot
    Tabulation of dataset's codon usage

-rscu
    Relative Synonymous Codon Usage (RSCU)

-fasta
    fasta format

-tidy
    fasta format

-reader
    Reader format (codons are separated by spaces)

-transl
    Conceptual translation of DNA to amino acid

-base
    Detailed report of codon G+C composition

-dinuc
    Dinucleotide usage of the three codon pos.

-noblk
    No bulk output to be written to file

Some of the codonw subtools can be directly accessed using shortcuts prefixed with 'codonw-'.

AUTHOR
This manpage was written by Sascha Steinbiss for the Debian distribution and can be used for any other usage of the program.

SEE ALSO

codonw-rscu(1), codonw-cu(1), codonw-aau(1), codonw-fop(1), codonw-raau(1), codonw-tidy(1), codonw-reader(1), codonw-cutab(1), codonw-cutot(1), codonw-transl(1), codonw-bases(1), codonw-base3s(1), codonw-dinuc(1), codonw-cai(1), codonw-gc3s(1), codonw-gc(1), codonw-cbi(1), codonw-enc(1)